ID CVE-2016-5684
Summary An exploitable out-of-bounds write vulnerability exists in the XMP image handling functionality of the FreeImage library. A specially crafted XMP file can cause an arbitrary memory overwrite resulting in code execution. An attacker can provide a malicious image to trigger this vulnerability.
References
Vulnerable Configurations
  • cpe:2.3:a:freeimage_project:freeimage:3.17.0:*:*:*:*:*:*:*
    cpe:2.3:a:freeimage_project:freeimage:3.17.0:*:*:*:*:*:*:*
CVSS
Base: 6.8 (as of 28-03-2019 - 20:29)
Impact:
Exploitability:
CWE CWE-787
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:P/I:P/A:P
refmap via4
bid 93287
confirm https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html
gentoo GLSA-201701-68
misc http://www.talosintelligence.com/reports/TALOS-2016-0189/
ubuntu USN-3925-1
Last major update 28-03-2019 - 20:29
Published 06-01-2017 - 21:59
Back to Top